Subject: Re: Update of RFC 2606 based on the recent ICANN changes ?

From: Mark Andrews <[email-masked]>
Date: Fri, 04 Jul 2008 10:15:34 +1000

> 
> > Mark Andrews wrote:
> > 
> > > The Internet went to multi-label hostnames ~20 years ago.
> > 
> > As noted in RFC 2821 as "one dot required" syntax, also
> > mentioned in RFC 3696.  Recently *overruled* by 2821bis.
> 
> 	There is a difference between allowing protocol to be used
> 	in a "local" only mode (single label) and a "global" mode
> 	(multi-label) and saying you must support single label in
> 	a global context.
> 
> 	Single label names are local in scope.  Attempting to use
> 	them in a global context does not work.  As the names in
> 	"." get more interesting the probability of collisions with
> 	existing names goes up.  Not many people choose two letter
> 	labels for the least significant parts of their host names
> 	unless they are choosing their initials.
> 
> 	Museum on the other hand is a real English word.  I'm sure
> 	you will find lots other uses of "museum" in the DNS.  The
> 	same thing will happen with other TLD's as the rules are
> 	relaxed.
> 
> 	Single label hostnames are not globally unique.  They SHOULD
> 	NOT be used in a context where globally unique names are
> 	required.
> 
> 	Mark

	Additionally we have RFC 1535 warning about the consequences
	of treating global address as local in a addition to choosing
	a bad definition of local for a search list.

	The reverse is equally true.  Mail that was intended for a
	local receipient may end up being delivered globally.  Not
	everyone in a organisation tracks the comings and goings
	of local addresses.

	The sender may not even be local if a .forward contains
	"user@tld" and tld goes away locally.

	Mark
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf